#!/bin/sh

dirs1='SUBDIRS=base base1 base2 base3 base4 sheet nx'
dirs2='x11'
dirs3='advance wsbuilder title net sjisfix euckrfix wstracer wsagent j3wlib nsplugin'

for arg in $*; do
  case "$arg" in
  -CC=*) CC=`echo "$arg" | sed 's/[-_a-zA-Z0-9]*=//'`;;
  -COLORS=*) CS=`echo "$arg" | sed 's/[-_a-zA-Z0-9]*=//'`;;
  -BUILDTYPE=*) BUILDTYPE=`echo "$arg" | sed 's/[-_a-zA-Z0-9]*=//'`;;
  *) dftype="$arg";;
  esac
done



\cp -f base/makefile.unix    base/makefile
\cp -f base1/makefile.unix   base1/makefile
\cp -f base2/makefile.unix   base2/makefile
\cp -f base3/makefile.unix   base3/makefile
\cp -f base4/makefile.unix   base4/makefile
\cp -f advance/makefile.unix advance/makefile
\cp -f j3wlib/makefile.unix  j3wlib/makefile
\cp -f jpg/makefile.unix     jpg/makefile
\cp -f net/makefile.unix     net/makefile
\cp -f png/makefile.unix     png/makefile
\cp -f wsbuilder/makefile.unix     wsbuilder/makefile
\cp -f x11/makefile.unix     x11/makefile
\cp -f nx/makefile.unix     nx/makefile
\cp -f xpm/makefile.unix     xpm/makefile
\cp -f postgres/makefile.unix     postgres/makefile
\cp -f mysql/makefile.unix     mysql/makefile
\cp -f odbc/makefile.unix     odbc/makefile
\cp -f rubylib/makefile2.unix     rubylib/makefile2
\cp -f rubylib/makefile.unix     rubylib/makefile
\cp -f rubylib/extconf.rb.unix     rubylib/extconf.rb
\cp -f perllib/makefile.unix     perllib/makefile
\cp -f perllib2/makefile.unix     perllib2/makefile
\cp -f pythonlib/Makefile.pre.in.unix     pythonlib/Makefile.pre.in
\cp -f opengl/makefile.unix     opengl/makefile
\cp -f sheet/makefile.unix    sheet/makefile
\cp -f ../sys/data/linkoptions.unix ../sys/data/linkoptions
\cp -f ../sys/data/C/make_dll.unix ../sys/data/C/make_dll
\cp -f ../sys/data/C/make_exe.unix ../sys/data/C/make_exe
\cp -f ../sys/data/C/make_nsp.unix ../sys/data/C/make_nsp
\cp -f ../sys/data/EUCJP/make_dll.unix ../sys/data/EUCJP/make_dll
\cp -f ../sys/data/EUCJP/make_exe.unix ../sys/data/EUCJP/make_exe
\cp -f ../sys/data/EUCJP/make_nsp.unix ../sys/data/EUCJP/make_nsp
\cp -f ../sys/data/SJIS/make_dll.unix ../sys/data/SJIS/make_dll
\cp -f ../sys/data/SJIS/make_exe.unix ../sys/data/SJIS/make_exe
\cp -f ../sys/data/SJIS/make_nsp.unix ../sys/data/SJIS/make_nsp
\cp -f ../sys/data/UTF8_JP/make_dll.unix ../sys/data/UTF8_JP/make_dll
\cp -f ../sys/data/UTF8_JP/make_exe.unix ../sys/data/UTF8_JP/make_exe
\cp -f ../sys/data/UTF8_JP/make_nsp.unix ../sys/data/UTF8_JP/make_nsp
\cp -f ../sys/data/EUCKR/make_dll.unix ../sys/data/EUCKR/make_dll
\cp -f ../sys/data/EUCKR/make_exe.unix ../sys/data/EUCKR/make_exe
\cp -f ../sys/data/EUCKR/make_nsp.unix ../sys/data/EUCKR/make_nsp
\cp -f ../sys/data/EUCCN/make_dll.unix ../sys/data/EUCCN/make_dll
\cp -f ../sys/data/EUCCN/make_exe.unix ../sys/data/EUCCN/make_exe
\cp -f ../sys/data/EUCCN/make_nsp.unix ../sys/data/EUCCN/make_nsp
\cp -f ../sys/config/version-def.unix ../sys/config/version-def
\cp -f makefile.unix makefile
\cp -f title/makefile.unix title/makefile
\cp -f title/mk.inf.unix title/mk.inf
\cp -f wsagent/makefile.unix wsagent/makefile
\cp -f wsagent/mk.inf.unix wsagent/mk.inf
\cp -f wstracer/makefile.unix wstracer/makefile
\cp -f wstracer/mk.inf.unix wstracer/mk.inf
\cp -f nsplugin/makefile.unix nsplugin/makefile

mysql_libname="libmysqlclient.so"

if [ x$dftype = x ]; then
  if [ `uname -s` = Linux ]; then
    echo OS: Linux;
    echo c++ compiler: g++
    \cp -f ../sys/config/libname.linux ../sys/config/libname
    \cp -f ../sys/config/mkflags.linux ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.linux ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.linux ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.linux ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.linux ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.linux ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.linux ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.linux ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.linux ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.linux ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.linux ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.linux ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.linux ../sys/data/EUCCN/default.rc
  elif [ `uname -s` = FreeBSD ]; then
    echo OS: FreeBSD;
    echo c++ compiler: g++
    \cp -f ../sys/config/libname.freebsd ../sys/config/libname
    \cp -f ../sys/config/mkflags.freebsd ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.freebsd ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.freebsd ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.freebsd ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.freebsd ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.freebsd ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.freebsd ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.freebsd ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.freebsd ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.freebsd ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.freebsd ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.freebsd ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.freebsd ../sys/data/EUCCN/default.rc
    \cp -f rubylib/extconf.rb.freebsd     rubylib/extconf.rb
  elif [ `uname -s` = Darwin ]; then
    echo OS: Mac OS X;
    echo c++ compiler: g++
    mysql_libname="libmysqlclient.dylib"
    dirs3='advance wsbuilder title net sjisfix wstracer wsagent j3wlib'
    \cp -f ../sys/config/libname.mac ../sys/config/libname
    \cp -f ../sys/config/mkflags.mac2 ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.mac ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.mac ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.mac ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.mac ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.mac ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.mac ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.mac ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.mac ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.mac ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.mac ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.mac ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.mac ../sys/data/EUCCN/default.rc
    \cp -f base/makefile.mac    base/makefile
    \cp -f base1/makefile.mac   base1/makefile
    \cp -f base2/makefile.mac   base2/makefile
    \cp -f base3/makefile.mac   base3/makefile
    \cp -f base4/makefile.mac   base4/makefile
    \cp -f advance/makefile.mac advance/makefile
    \cp -f j3wlib/makefile.mac  j3wlib/makefile
    \cp -f jpg/makefile.mac     jpg/makefile
    \cp -f net/makefile.mac     net/makefile
    \cp -f png/makefile.mac     png/makefile
    \cp -f x11/makefile.mac     x11/makefile
    \cp -f nx/makefile.mac     nx/makefile
    \cp -f xpm/makefile.mac     xpm/makefile
    \cp -f postgres/makefile.mac     postgres/makefile
    \cp -f mysql/makefile.mac     mysql/makefile
    \cp -f odbc/makefile.mac     odbc/makefile
    \cp -f rubylib/makefile2.mac     rubylib/makefile2
    \cp -f rubylib/makefile.mac     rubylib/makefile
    \cp -f rubylib/extconf.rb.mac     rubylib/extconf.rb
    \cp -f perllib/makefile.mac     perllib/makefile
    \cp -f perllib2/makefile.mac     perllib2/makefile
    \cp -f pythonlib/Makefile.pre.in.mac     pythonlib/Makefile.pre.in
    \cp -f opengl/makefile.mac     opengl/makefile
    \cp -f sheet/makefile.mac   sheet/makefile
    \cp -f ../sys/data/C/make_dll.mac ../sys/data/C/make_dll
    \cp -f ../sys/data/C/make_exe.mac ../sys/data/C/make_exe
    \cp -f ../sys/data/C/make_nsp.mac ../sys/data/C/make_nsp
    \cp -f ../sys/data/EUCJP/make_dll.mac ../sys/data/EUCJP/make_dll
    \cp -f ../sys/data/EUCJP/make_exe.mac ../sys/data/EUCJP/make_exe
    \cp -f ../sys/data/EUCJP/make_nsp.mac ../sys/data/EUCJP/make_nsp
    \cp -f ../sys/data/SJIS/make_dll.mac ../sys/data/SJIS/make_dll
    \cp -f ../sys/data/SJIS/make_exe.mac ../sys/data/SJIS/make_exe
    \cp -f ../sys/data/SJIS/make_nsp.mac ../sys/data/SJIS/make_nsp
    \cp -f ../sys/data/UTF8_JP/make_dll.mac ../sys/data/UTF8_JP/make_dll
    \cp -f ../sys/data/UTF8_JP/make_exe.mac ../sys/data/UTF8_JP/make_exe
    \cp -f ../sys/data/UTF8_JP/make_nsp.mac ../sys/data/UTF8_JP/make_nsp
    \cp -f ../sys/data/EUCKR/make_dll.mac ../sys/data/EUCKR/make_dll
    \cp -f ../sys/data/EUCKR/make_exe.mac ../sys/data/EUCKR/make_exe
    \cp -f ../sys/data/EUCKR/make_nsp.mac ../sys/data/EUCKR/make_nsp
    \cp -f ../sys/data/EUCCN/make_dll.mac ../sys/data/EUCCN/make_dll
    \cp -f ../sys/data/EUCCN/make_exe.mac ../sys/data/EUCCN/make_exe
    \cp -f ../sys/data/EUCCN/make_nsp.mac ../sys/data/EUCCN/make_nsp
  elif [ `uname -s` = SunOS ]; then
    echo OS: `uname -s`;
    set dummy g++; cmp=$2
    if test -z "$CC"; then
      set dymmy CC; CC=$2
      IFS="${IFS=   }"; tmp="$IFS"; IFS="${IFS}:"
      for pdir in $PATH; do test -z "$pdir" && pdir=.
        if test -f $pdir/$cmp; then
          set dummy $cmp ;CC=$2
          break
        fi
      done
    fi
    if [ ${CC} = g++ ]; then
      echo c++ compiler: g++
      \cp -f ../sys/config/libname.gsun ../sys/config/libname
      \cp -f ../sys/config/mkflags.gsun ../sys/config/mkflags
      \cp -f ../sys/data/C/default.prj.gsun ../sys/data/C/default.prj
      \cp -f ../sys/data/EUCJP/default.prj.gsun ../sys/data/EUCJP/default.prj
      \cp -f ../sys/data/SJIS/default.prj.gsun ../sys/data/SJIS/default.prj
      \cp -f ../sys/data/UTF8_JP/default.prj.gsun ../sys/data/UTF8_JP/default.prj
      \cp -f ../sys/data/EUCKR/default.prj.gsun ../sys/data/EUCKR/default.prj
      \cp -f ../sys/data/EUCCN/default.prj.gsun ../sys/data/EUCCN/default.prj
    elif [ ${CC} = CC ]; then
      echo c++ compiler: CC
      \cp -f ../sys/config/libname.sun ../sys/config/libname
      \cp -f ../sys/config/mkflags.sun ../sys/config/mkflags
      \cp -f ../sys/data/C/default.prj.sun ../sys/data/C/default.prj
      \cp -f ../sys/data/EUCJP/default.prj.sun ../sys/data/EUCJP/default.prj
      \cp -f ../sys/data/SJIS/default.prj.sun ../sys/data/SJIS/default.prj
      \cp -f ../sys/data/UTF8_JP/default.prj.sun ../sys/data/UTF8_JP/default.prj
      \cp -f ../sys/data/EUCKR/default.prj.sun ../sys/data/EUCKR/default.prj
      \cp -f ../sys/data/EUCCN/default.prj.sun ../sys/data/EUCCN/default.prj
    else
      echo c++ compiler: $CC
      echo 'WARNING: Please edit variable CC in $(WSDIR)/sys/comfig/mkflags!'
      \cp -f ../sys/config/libname.sun ../sys/config/libname
      \cp -f ../sys/config/mkflags.sun ../sys/config/mkflags
      \cp -f ../sys/data/C/default.prj.sun ../sys/data/C/default.prj
      \cp -f ../sys/data/EUCJP/default.prj.sun ../sys/data/EUCJP/default.prj
      \cp -f ../sys/data/SJIS/default.prj.sun ../sys/data/SJIS/default.prj
      \cp -f ../sys/data/UTF8_JP/default.prj.sun ../sys/data/UTF8_JP/default.prj
      \cp -f ../sys/data/EUCKR/default.prj.sun ../sys/data/EUCKR/default.prj
      \cp -f ../sys/data/EUCCN/default.prj.sun ../sys/data/EUCCN/default.prj
    fi
    \cp -f ../sys/data/C/default.rc.sun ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.sun ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.sun ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.rc.sun ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.rc.sun ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.rc.sun ../sys/data/EUCCN/default.rc
  else
    echo OS: unknown;
    echo c++ compiler: g++
    \cp -f ../sys/config/mkflags.linux ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.linux ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.linux ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.linux ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.linux ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.linux ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.linux ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.linux ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.linux ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.linux ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.linux ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.linux ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.linux ../sys/data/EUCCN/default.rc
  fi

else

  if [ ${dftype} = linux ]; then
    echo OS: Linux;
    echo c++ compiler: g++
    \cp -f ../sys/config/mkflags.linux ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.linux ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.linux ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.linux ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.linux ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.linux ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.linux ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.linux ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.linux ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.linux ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.linux ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.linux ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.linux ../sys/data/EUCCN/default.rc
  fi

  if [ ${dftype} = FreeBSD ]; then
    echo OS: FreeBSD;
    echo c++ compiler: g++
    \cp -f ../sys/config/mkflags.freebsd ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.freebsd ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.freebsd ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.freebsd ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.freebsd ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.freebsd ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.freebsd ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.freebsd ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/EUCKR/default.prj.freebsd ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCCN/default.prj.freebsd ../sys/data/EUCCN/default.prj
    \cp -f rubylib/extconf.rb.freebsd     rubylib/extconf.rb
  fi

  if [ ${dftype} = mac ]; then
    mysql_libname="libmysqlclient.dylib"
    echo OS: Mac OS X;
    echo c++ compiler: g++
    dirs2="mac"
    dirs3='advance wsbuilder title net sjisfix wstracer wsagent j3wlib'
    \cp -f ../sys/config/libname.mac ../sys/config/libname
    \cp -f ../sys/config/mkflags.mac ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.mac ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.mac ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.mac ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.mac ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.mac ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.mac ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.mac ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.mac ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.mac ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.mac ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.mac ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.mac ../sys/data/EUCCN/default.rc
    \cp -f base/makefile.mac    base/makefile
    \cp -f base1/makefile.mac   base1/makefile
    \cp -f base2/makefile.mac   base2/makefile
    \cp -f base3/makefile.mac   base3/makefile
    \cp -f base4/makefile.mac   base4/makefile
    \cp -f advance/makefile.mac advance/makefile
    \cp -f j3wlib/makefile.mac  j3wlib/makefile
    \cp -f jpg/makefile.mac     jpg/makefile
    \cp -f net/makefile.mac     net/makefile
    \cp -f png/makefile.mac     png/makefile
    \cp -f wsbuilder/makefile.mac     wsbuilder/makefile
    \cp -f x11/makefile.mac     x11/makefile
    \cp -f nx/makefile.mac     nx/makefile
    \cp -f xpm/makefile.mac     xpm/makefile
    \cp -f postgres/makefile.mac     postgres/makefile
    \cp -f mysql/makefile.mac     mysql/makefile
    \cp -f odbc/makefile.mac     odbc/makefile
    \cp -f rubylib/makefile2.mac     rubylib/makefile2
    \cp -f rubylib/makefile.mac     rubylib/makefile
    \cp -f rubylib/extconf.rb.mac     rubylib/extconf.rb
    \cp -f perllib/makefile.mac     perllib/makefile
    \cp -f perllib2/makefile.mac     perllib2/makefile
    \cp -f pythonlib/Makefile.pre.in.mac     pythonlib/Makefile.pre.in
    \cp -f opengl/makefile.mac     opengl/makefile
    \cp -f sheet/makefile.mac   sheet/makefile
    \cp -f ../sys/data/C/make_dll.mac ../sys/data/C/make_dll
    \cp -f ../sys/data/C/make_exe.mac ../sys/data/C/make_exe
    \cp -f ../sys/data/EUCJP/make_dll.mac ../sys/data/EUCJP/make_dll
    \cp -f ../sys/data/EUCJP/make_exe.mac ../sys/data/EUCJP/make_exe
    \cp -f ../sys/data/SJIS/make_dll.mac ../sys/data/SJIS/make_dll
    \cp -f ../sys/data/SJIS/make_exe.mac ../sys/data/SJIS/make_exe
    \cp -f ../sys/data/UTF8_JP/make_dll.mac ../sys/data/UTF8_JP/make_dll
    \cp -f ../sys/data/UTF8_JP/make_exe.mac ../sys/data/UTF8_JP/make_exe
    \cp -f ../sys/data/EUCKR/make_dll.mac ../sys/data/EUCKR/make_dll
    \cp -f ../sys/data/EUCKR/make_exe.mac ../sys/data/EUCKR/make_exe
    \cp -f ../sys/data/EUCCN/make_dll.mac ../sys/data/EUCCN/make_dll
    \cp -f ../sys/data/EUCCN/make_exe.mac ../sys/data/EUCCN/make_exe
  fi

  if [ ${dftype} = mac-x11 ]; then
    mysql_libname="libmysqlclient.dylib"
    echo OS: Mac OS X;
    echo c++ compiler: g++
    \cp -f ../sys/config/libname.mac ../sys/config/libname
    \cp -f ../sys/config/mkflags.mac2 ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.mac ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.mac ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.mac ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.mac ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.mac ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.mac ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.mac ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.mac ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.mac ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.mac ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.mac ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.mac ../sys/data/EUCCN/default.rc
    \cp -f base/makefile.mac    base/makefile
    \cp -f base1/makefile.mac   base1/makefile
    \cp -f base2/makefile.mac   base2/makefile
    \cp -f base3/makefile.mac   base3/makefile
    \cp -f base4/makefile.mac   base4/makefile
    \cp -f advance/makefile.mac advance/makefile
    \cp -f j3wlib/makefile.mac  j3wlib/makefile
    \cp -f jpg/makefile.mac     jpg/makefile
    \cp -f net/makefile.mac     net/makefile
    \cp -f png/makefile.mac     png/makefile
    \cp -f x11/makefile.mac     x11/makefile
    \cp -f xpm/makefile.mac     xpm/makefile
    \cp -f postgres/makefile.mac     postgres/makefile
    \cp -f mysql/makefile.mac     mysql/makefile
    \cp -f odbc/makefile.mac     odbc/makefile
    \cp -f rubylib/makefile2.mac     rubylib/makefile2
    \cp -f rubylib/makefile.mac     rubylib/makefile
    \cp -f rubylib/extconf.rb.mac     rubylib/extconf.rb
    \cp -f perllib/makefile.mac     perllib/makefile
    \cp -f perllib2/makefile.mac     perllib2/makefile
    \cp -f pythonlib/Makefile.pre.in.mac     pythonlib/Makefile.pre.in
    \cp -f opengl/makefile.mac     opengl/makefile
    \cp -f sheet/makefile.mac   sheet/makefile
    \cp -f ../sys/data/C/make_dll.mac ../sys/data/C/make_dll
    \cp -f ../sys/data/C/make_exe.mac ../sys/data/C/make_exe
    \cp -f ../sys/data/EUCJP/make_dll.mac ../sys/data/EUCJP/make_dll
    \cp -f ../sys/data/EUCJP/make_exe.mac ../sys/data/EUCJP/make_exe
    \cp -f ../sys/data/SJIS/make_dll.mac ../sys/data/SJIS/make_dll
    \cp -f ../sys/data/SJIS/make_exe.mac ../sys/data/SJIS/make_exe
    \cp -f ../sys/data/UTF8_JP/make_dll.mac ../sys/data/UTF8_JP/make_dll
    \cp -f ../sys/data/UTF8_JP/make_exe.mac ../sys/data/UTF8_JP/make_exe
    \cp -f ../sys/data/EUCKR/make_dll.mac ../sys/data/EUCKR/make_dll
    \cp -f ../sys/data/EUCKR/make_exe.mac ../sys/data/EUCKR/make_exe
    \cp -f ../sys/data/EUCCN/make_dll.mac ../sys/data/EUCCN/make_dll
    \cp -f ../sys/data/EUCCN/make_exe.mac ../sys/data/EUCCN/make_exe
  fi
  if [ ${dftype} = sun ]; then
    echo OS: SunOS;
    echo c++ compiler: CC
    \cp -f ../sys/config/mkflags.sun ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.sun ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.sun ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.sun ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.sun ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.sun ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.sun ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.sun ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.sun ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.sun ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.sun ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.sun ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.sun ../sys/data/EUCCN/default.rc
  fi

  if [ ${dftype} = gsun ]; then
    echo OS: SunOS;
    echo c++ compiler: g++
    \cp -f ../sys/config/mkflags.gsun ../sys/config/mkflags
    \cp -f ../sys/data/C/default.prj.gsun ../sys/data/C/default.prj
    \cp -f ../sys/data/EUCJP/default.prj.gsun ../sys/data/EUCJP/default.prj
    \cp -f ../sys/data/SJIS/default.prj.gsun ../sys/data/SJIS/default.prj
    \cp -f ../sys/data/C/default.rc.gsun ../sys/data/C/default.rc
    \cp -f ../sys/data/EUCJP/default.rc.gsun ../sys/data/EUCJP/default.rc
    \cp -f ../sys/data/SJIS/default.rc.gsun ../sys/data/SJIS/default.rc
    \cp -f ../sys/data/UTF8_JP/default.prj.gsun ../sys/data/UTF8_JP/default.prj
    \cp -f ../sys/data/UTF8_JP/default.rc.gsun ../sys/data/UTF8_JP/default.rc
    \cp -f ../sys/data/EUCKR/default.prj.gsun ../sys/data/EUCKR/default.prj
    \cp -f ../sys/data/EUCKR/default.rc.gsun ../sys/data/EUCKR/default.rc
    \cp -f ../sys/data/EUCCN/default.prj.gsun ../sys/data/EUCCN/default.prj
    \cp -f ../sys/data/EUCCN/default.rc.gsun ../sys/data/EUCCN/default.rc
  fi
fi

if [ x${CS} = x256 ]; then
  \rm -f ../sys/pixmaps
  ln -s pixmaps8 ../sys/pixmaps
else
  \rm -f ../sys/pixmaps
  ln -s pixmaps16 ../sys/pixmaps
fi

#fix FTBFS on hppa-linux
if [ x${BUILDTYPE} = xhppa-linux ]; then
    \cat ../sys/config/mkflags | sed 's/-O3/-O0/g' > ../sys/config/mkflags.tmp
    \mv -f ../sys/config/mkflags.tmp ../sys/config/mkflags
fi

dirs="$dirs1 $dirs2 $dirs3"

opengl=0

for dir in /usr/local/include /usr/include /usr/X11R6/include /usr/dt/include /usr/openwin/include
do
  if [ -d $dir"/GL" ]; then
    if [ -f $dir"/GL/glut.h" ]; then
      opengl=1
    fi
  fi
done

if [ `uname -s` = Darwin ]; then
for dir in /usr/local/include /usr/include /usr/X11R6/include /usr/dt/include /usr/openwin/include
do
  if [ -d $dir"/GL" ]; then
    if [ -f $dir"/GL/glu.h" ]; then
      opengl=1
    fi
  fi
done
fi

if [ $opengl = 0 ]; then
  echo "No OpenGL"
else
  echo "Has OpenGL"
  dirs="$dirs opengl"
fi


jpeglib=0

for dir in /usr/local/include /usr/include /usr/X11R6/include /usr/dt/include /usr/openwin/include
do
  if [ -f $dir"/jpeglib.h" ]; then
    jpeglib=1
  fi
done

if [ $jpeglib = 0 ]; then
  echo "No Jpeglib"
else
  echo "Has Jpeglib"
  dirs="$dirs jpg"
fi


xpmlib=0

for dir in /usr/local/include /usr/include /usr/X11R6/include /usr/dt/include /usr/openwin/include
do
  if [ -d $dir"/X11" ]; then
    if [ -f $dir"/X11/xpm.h" ]; then
      xpmlib=1
    fi
  fi
done

if [ $xpmlib = 0 ]; then
  echo "No Xpmlib"
  if [ -f pythonlib/Setup ]; then
    \rm -f pythonlib/Setup
  fi
  echo '*shared*' > pythonlib/Setup
  if [ `uname -s` = Darwin ]; then
    echo "_mpfc mpfc_proc.cpp mpfc_wrap.cpp -lwssheet -lwsr -lwsj3w -lwsb -lwsc -lws -lwsx11" >> pythonlib/Setup
  elif [ x-${dftype} = x-mac ]; then
    echo "_mpfc mpfc_proc.cpp mpfc_wrap.cpp -lwssheet -lwsr -lwsj3w -lwsb -lwsc -lws -lwsmac" >> pythonlib/Setup
  elif [ x-${dftype} = x-mac-x11 ]; then
    echo "_mpfc mpfc_proc.cpp mpfc_wrap.cpp -lwssheet -lwsr -lwsj3w -lwsb -lwsc -lws -lwsx11" >> pythonlib/Setup
  else
    echo "_mpfc mpfc_proc.cpp mpfc_wrap.cpp -L../../lib -lwssheet -lwsr -lwsj3w -lwsb -lwsc -lws -lwsx11" >> pythonlib/Setup
  fi
else
  echo "Has Xpmlib"
  dirs="$dirs xpm"
  xpmlib=`grep "^LIBXPM" ../sys/config/mkflags | sed -e "s/LIBXPM//" | sed -e "s/=//"`
  if [ -f pythonlib/Setup ]; then
    \rm -f pythonlib/Setup
  fi
  echo '*shared*' > pythonlib/Setup
  if [ `uname -s` = Darwin ]; then
    echo "_mpfc mpfc_proc.cpp mpfc_wrap.cpp -lwssheet -lwsr -lwsj3w -lwsb -lwsc -lws -lwsx11 $xpmlib" >> pythonlib/Setup
  elif [ x-${dftype} = x-mac ]; then
    echo "_mpfc mpfc_proc.cpp mpfc_wrap.cpp -lwssheet -lwsr -lwsj3w -lwsb -lwsc -lws -lwsmac $xpmlib" >> pythonlib/Setup
  elif [ x-${dftype} = x-mac-x11 ]; then
    echo "_mpfc mpfc_proc.cpp mpfc_wrap.cpp -lwssheet -lwsr -lwsj3w -lwsb -lwsc -lws -lwsx11 $xpmlib" >> pythonlib/Setup
  else
    echo "_mpfc mpfc_proc.cpp mpfc_wrap.cpp -L../../lib -lwssheet -lwsr -lwsj3w -lwsb -lwsc -lws -lwsx11 $xpmlib" >> pythonlib/Setup
  fi
fi


pnglib=0

for dir in /usr/local/include /usr/include /usr/X11R6/include /usr/dt/include /usr/openwin/include
do
  if [ -f $dir"/png.h" ]; then
    pnglib=1
  fi
done

if [ $pnglib = 0 ]; then
  echo "No Pnglib"
else
  echo "Has Pnglib"
  dirs="$dirs png"
fi

odbc=0

for dir in /usr/local/include /usr/include /usr/X11R6/include /usr/dt/include /usr/openwin/include
do
  if [ -f $dir"/sql.h" ]; then
    odbc=1
  fi
done

if [ $odbc = 0 ]; then
  echo "No ODBC library"
else
  echo "Has ODBC library"
  dirs="$dirs odbc"
fi

pgsql=0

for dir in /usr/local/include /usr/include /usr/X11R6/include /usr/dt/include /usr/openwin/include /usr/include/pgsql /usr/local/pgsql/include /usr/include/postgresql
do
  if [ -f $dir"/libpq-fe.h" ]; then
    pgsql=1
  fi
done

if [ $pgsql = 0 ]; then
  echo "No PostgreSQL development library"
else
  echo "Has PostgreSQL development library"
  dirs="$dirs postgres"
fi

mysql=0

for dir in /usr/include/mysql /usr/local/mysql/include /usr/local/include/mysql /usr/local/mysql/include/mysql

do
  if [ -f $dir"/mysql.h" ]; then
    for dir2 in /usr/local/lib /usr/local/lib/mysql /usr/lib/mysql /usr/lib /usr/local/mysql/lib/mysql
    do
      if [ -f $dir2/$mysql_libname ]; then
        mysql=1
      fi
    done
  fi
done

if [ $mysql = 0 ]; then
  echo "No MySQL development library"
else
  echo "Has MySQL development library"
  dirs="$dirs mysql"
fi


has_python=0
python_bin="python"
for dir in /usr/bin /usr/local/bin /usr/sbin /sbin
do
  if [ -f $dir"/python" ]; then
    has_python=1
    python_bin=$dir"/python"
  fi
done

if [ $has_python = 0 ]; then
echo "No Python.."
else
echo "Has Python.."
  VERSION=`$python_bin -c "import sys; print sys.version[:3]"`
  PREFIXDIR=`$python_bin -c "import sys; print sys.prefix"`
  if [ -f $PREFIXDIR/include/python$VERSION/Python.h ];then
    dirs="$dirs pythonlib"
    cd pythonlib
    make -s -f Makefile.pre.in boot
    cd ..
  else
    echo "No Python header"
  fi
fi


has_ruby=0
ruby_bin="python"
for dir in /usr/bin /usr/local/bin /usr/sbin /sbin
do
  if [ -f $dir"/ruby" ]; then
    has_ruby=1
    ruby_bin=$dir"/ruby"
  fi
done

if [ $has_ruby = 0 ]; then
echo "No Ruby.."
else
echo "Has Ruby.."
  RUBYARCH=`$ruby_bin -rrbconfig -e 'puts Config::CONFIG["archdir"]'`
  if [ -f $RUBYARCH/ruby.h ]; then
    dirs="$dirs rubylib"
#  cd rubylib
#  ruby extconf.rb > /dev/null
#  cd ..
  else
    echo "No Ruby header"
  fi
fi


has_perl=0
for dir in /usr/bin /usr/local/bin /usr/sbin /sbin
do
  if [ -f $dir"/perl" ]; then
    has_perl=1
  fi
done

if [ $has_perl = 0 ]; then
echo "No Perl.."
else
echo "Has Perl.."
  dirs="$dirs perllib perllib2"
fi

\rm -f ../sys/config/mkdirs
echo $dirs > ../sys/config/mkdirs


